Subject: bug#61849: 29.0.60; Unable to use treesit-install-language-grammar because repo doesn't have parser.c

From: Misha Zharov <[email-masked]>
Date: Sun, 19 Mar 2023 22:14:44 -0700

> Please chime in to try to convince them to go back to including the
> generated parser files.

Thanks for the update.  I've now done this, but I think that it will be
difficult to make sure that community sticks to this standard of keeping
the autogenerated files in the repo.  Their arguments do have some
merit regarding the difficulty of resolving merge conflicts and overall
maintenance burden.  At the same time, having the autogenerated file
present is a nice QOL feature for users because it's easily reproducible.

I'm not sure what the ultimate solution to this will be though.  It might be
necessary to come up with a new paradigm of installing treesitter
grammars that addresses some of the current issues